### Signal

# Qrtr Client::client-message

since: 1.0

#### Declaration

    void
    client_message (
      QrtrClient* self,
      guint8* message,
      gpointer user_data
    )

#### Description [src]

The ::client-message signal is emitted when a message is received from the port in the node.

There must be one single user connected to this signal, because it is not guaranteed that the contents of the `message` byte array aren’t modified by multiple users. In other words, the user connected to this signal may modify the contents of the `message` byte array if needed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.0

#### Parameters

`message`

  Type: An array of `guint8`

  The message data.

  The data is owned by the caller of the function.